Name:		perl-Rose-DB-Object
Version:	0.813
Release:	1%{?dist}
Summary:	Extensible, high performance object-relational mapper (ORM)
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Rose-DB-Object/
Source0:	http://www.cpan.org/authors/id/J/JS/JSIRACUSA/Rose-DB-Object-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(lib)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(constant)
BuildRequires:	perl(Bit::Vector)
BuildRequires:	perl(Clone)
BuildRequires:	perl(DateTime)
BuildRequires:	perl(DBI)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(Rose::DateTime::Util)
BuildRequires:	perl(Rose::DB)
BuildRequires:	perl(Rose::Object)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Time::Clock)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%filter_from_requires /perl(Rose::DB::.*)/d
%filter_from_requires /perl(Rose::Object::.*/d
%filter_setup


%description
Rose::DB::Object is a base class for objects that encapsulate a single row
in a database table. Rose::DB::Object-derived objects are sometimes simply
called "Rose::DB::Object objects" in this documentation for the sake of
brevity, but be assured that derivation is the only reasonable way to use
this class.

%prep
%setup -q -n Rose-DB-Object-%{version}
find . -type f -executable -exec chmod -x {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
export AUTOMATED_TESTING=1
make test

%files
%doc Changes
%{perl_vendorlib}/Rose/DB/
%{_mandir}/man3/Rose::DB::Object*.3pm*

%changelog
* Wed Dec 24 2014 Bill Pemberton <wfp5p@worldbroken.com> - 0.813-1
- update to version 0.813

* Wed Mar 26 2014 Bill Pemberton <wfp5p@worldbroken.com> - 0.811-1
- update to version 0.811
- fixes a bug that prevented many-to-many map records from being saved
  to the database

* Thu Dec  5 2013 Bill Pemberton <wfp5p@worldbroken.com> - 0.809-1
- Update to version 0.809
- fixes precision and scale for auto-loaded numeric column metadata

* Tue Sep  3 2013 Bill Pemberton <wfp5p@worldbroken.com> - 0.807-1
- update to version 0.807
- Fixes inheritance of Rose::DB::Object::Cached's cached_objects_expire_in
  attribute.

* Mon Jun 10 2013 Bill Pemberton <wfp5p@virginia.edu> - 0.806-1
- update to version 0.806
- fixes bug under perl 5.17

* Mon Mar 11 2013 Bill Pemberton <wfp5p@virginia.edu> - 0.805-1
- update to version 0.805

* Mon Feb  4 2013 Bill Pemberton <wfp5p@virginia.edu> - 0.804-1
- update to version 0.804

* Mon Jan  7 2013 Bill Pemberton <wfp5p@virginia.edu> - 0.803-1
- update to version 0.803

* Mon Nov 26 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.801-1
- update to version 0.801

* Mon Sep 10 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.800-1
- update to version 0.800

* Wed Sep  5 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.799-1
- update to version 0.799

* Mon Aug  6 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.798-4
- Update BuildRequires

* Mon Jul 16 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.798-3
- remove buildroot and clean
- remove defattr from files section
- add constant to BuildRequires

* Tue Jun 26 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.798-2
- Be more specific in files section

* Tue Jun 26 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.798-1
- Initial version
